varying vec3 N;
varying vec3  EyeDir;

void main(void)
{
   N = normalize(gl_NormalMatrix * gl_Normal);
   gl_TexCoord[0] = gl_MultiTexCoord0;
   EyeDir   = gl_Vertex.xyz;
   gl_Position = ftransform();
}